---
search:
  tags:
    - Returns
    - GET
seo:
  description: >-
    Get physical return. Reference for the GET
    /v1/organizations/{orgId}/returns/{returnId} endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: Get physical return
  badge: GET
title: Get physical return
type: openapi-operation
---
`GET /v1/organizations/{orgId}/returns/{returnId}`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "arrivalKind": "return",
    "arrivedAt": "string",
    "arrivalOrigin": "staff_attested",
    "id": "string",
    "instructionRevision": -9007199254740991,
    "originalOrderId": "string",
    "originalShipmentId": "string",
    "providerReturnRef": "string",
    "instruction": {
      "acknowledgedAt": "string",
      "choice": "restock",
      "id": "string",
      "revision": -9007199254740991,
      "sourceLines": [
        {
          "assessedCondition": "nm",
          "productBindingId": "string",
          "receivedQuantity": -9007199254740991,
          "returnLineId": "string",
          "returnLineRevisionId": "string",
          "revision": -9007199254740991,
          "variantBindingId": "string"
        }
      ]
    },
    "lines": [
      {
        "allocatedQuantity": -9007199254740991,
        "assessedCondition": "nm",
        "productBindingId": "string",
        "receivedQuantity": -9007199254740991,
        "returnLineId": "string",
        "returnLineRevisionId": "string",
        "revision": -9007199254740991,
        "variantBindingId": "string"
      }
    ]
  },
  "meta": {
    "requestId": "string"
  }
}
```
